Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# TAO_IMR_Op_List Class Reference

List Operation. More...

`#include <tao_imr_i.h>`

Inheritance diagram for TAO_IMR_Op_List:

[legend]
Collaboration diagram for TAO_IMR_Op_List:

[legend]
List of all members.

## Public Member Functions
| TAO_IMR_Op_List (void)
virtual int | parse (int argc, ACE_TCHAR **argv)
| Parse arguments.
virtual int | run (void)
| Do the work.
## Protected Member Functions
void | print_usage (void)
| Prints a message about the usage.
void | display_server_information (const ImplementationRepository::ServerInformation &info)
## Protected Attributes
ACE_CString | server_name_
| POA server name.
int | verbose_server_information_
| If true, more server information is displayed.

## Detailed Description

List Operation.

List is used to either list all the servers registered in the IMR or just look at one of them.

## Constructor & Destructor Documentation

TAO_IMR_Op_List::TAO_IMR_Op_List | ( | void |  | ) |

## Member Function Documentation

void TAO_IMR_Op_List::display_server_information | ( | const ImplementationRepository::ServerInformation & | info | ) | `[protected]`

| Prints out the information contained in a ServerInformation structure. Specialized to only print server information Reimplemented from TAO_IMR_Op.

int TAO_IMR_Op_List::parse | ( | int | argc,
|  | ACE_TCHAR ** | argv
| ) | `[virtual]`

| Parse arguments. Implements TAO_IMR_Op.

void TAO_IMR_Op_List::print_usage | ( | void |  | ) | `[protected]`

| Prints a message about the usage.

int TAO_IMR_Op_List::run | ( | void |  | ) | `[virtual]`

| Do the work. Implements TAO_IMR_Op.

## Member Data Documentation

ACE_CString TAO_IMR_Op_List::server_name_`[protected]`

| POA server name.

int TAO_IMR_Op_List::verbose_server_information_`[protected]`

| If true, more server information is displayed.

The documentation for this class was generated from the following files:

- tao_imr_i.h
- tao_imr_i.cpp